[user]
[push]
	default = current
[core]
	editor = vim
[user]
	name = _Slade
	email = slade8@gmail.com
[credential]
	helper = cache
[diff]
	tool = vimdiff
[merge]
	tool = vimdiff
[alias]
	a = add
	b = branch
	c = commit
	ck = checkout
	conf = config
	cp = cherry-pick
	d = diff
	ds = diff --staged
	fixup = commit --fixup
	l = log
	last = show HEAD
	ls = ls-files
	r = rebase
	rem = remote
	rev = revert
	ri = rebase --interactive
	rs = remote show
	rso = remote show origin
	s = status
	semantic-tags = !git tag | sort -n -t. -k1,1 -k2,2 -k3,3 -k4,4
	squash = commit --squash
	dump = cat-file -p
	type = cat-file -t
[rebase]
	autoSquash = true
[init]
	templatedir = ~/.git_template
[color]
	ui = auto
